com.tibbo.aggregate.common.server

## Interface ApplicationContextConstants

-     public interface ApplicationContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_DELETE_ALL`
    `static java.lang.String` | `A_DEPLOY`
    `static java.lang.String` | `A_OPEN_APPLICATION`
    `static java.lang.String` | `A_PACK`
    `static java.lang.String` | `A_ROLLBACK`
    `static java.lang.String` | `APPLICATION_ID_PREFIX`
    `static java.lang.String` | `APPLICATION_PROPERTIES`
    `static java.lang.String` | `APPLICATION_TYPE`
    `static java.lang.String` | `CLASS_FILE_EXTENSION`
    `static java.lang.String` | `DEPENDENCIES`
    `static java.lang.String` | `DO_NOT_CREATE_GROUP`
    `static java.lang.String` | `F_CREATE_TEXT_RESOURCE_BUNDLE`
    `static java.lang.String` | `F_DELETE_ALL`
    `static java.lang.String` | `F_DEPLOY`
    `static java.lang.String` | `F_EXPORT`
    `static java.lang.String` | `F_EXPORT_CONTEXT`
    `static java.lang.String` | `F_GET_DEFAULT_PLUGIN_ID`
    `static java.lang.String` | `F_GET_PLUGIN_ID_MAP`
    `static java.lang.String` | `F_IMPORT`
    `static java.lang.String` | `F_PACK`
    `static java.lang.String` | `F_ROLLBACK`
    `static java.lang.String` | `F_UPDATE`
    `static java.lang.String` | `FIF_ADD_IDE_PROJECT_FILES`
    `static java.lang.String` | `FIF_APPLICATION_ARCHIVE`
    `static java.lang.String` | `FIF_APPLICATION_FOLDER_PATH`
    `static java.lang.String` | `FIF_APPLICATION_PLUGIN_ID`
    `static java.lang.String` | `FIF_DELETE_NOT_LISTED_CONTEXTS`
    `static java.lang.String` | `FIF_DEPENDENCIES_FOLDER_PATH`
    `static java.lang.String` | `FIF_DEPERSONALIZE_EXPORTED_DATA`
    `static java.lang.String` | `FIF_DEPLOYMENT_REMOVE_ORPHANS`
    `static java.lang.String` | `FIF_DEPLOYMENT_USER`
    `static java.lang.String` | `FIF_DEPLOYMENT_USER_MODE`
    `static java.lang.String` | `FIF_ERROR_HANDLING`
    `static java.lang.String` | `FIF_HANDLING_EXISTING_CONTEXTS`
    `static java.lang.String` | `FIF_LANGUAGE`
    `static java.lang.String` | `FIF_LANGUAGES`
    `static java.lang.String` | `FIF_OPERATION_TYPE`
    `static java.lang.String` | `FIF_PACKAGE`
    `static java.lang.String` | `FIF_TEXT_RESOURCE_BUNDLE`
    `static java.lang.String` | `FOF_PACK_RESULT`
    `static java.lang.String` | `FOF_PERSISTENT_PROPERTIES`
    `static java.lang.String` | `GRADLE`
    `static java.lang.String` | `GRADLE_FILE`
    `static java.lang.String` | `ID`
    `static int` | `IGNORE`
    `static java.lang.String` | `JAVA_ARCHIVE_EXTENSION`
    `static java.lang.String` | `JAVA_FILE_EXTENSION`
    `static java.lang.String` | `LINE_SEPARATOR`
    `static java.lang.String` | `LOCAL`
    `static java.lang.String` | `LRES`
    `static java.lang.String` | `LRES_FILE`
    `static java.lang.String` | `MAIN_APPLICATION_FILE_NAME`
    `static java.lang.String` | `MAIN_PLUGIN_CLASS`
    `static java.lang.String` | `MAIN_PLUGIN_JAVA_CLASS`
    `static java.lang.String` | `PACKAGE`
    `static java.lang.String` | `PACKAGE_TEMPLATE`
    `static java.lang.String` | `PLUGIN_CLASS_NAME_SUFFIX`
    `static java.lang.String` | `PLUGIN_CLASS_NAME_TEMPLATE`
    `static java.lang.String` | `PLUGIN_DEPENDENCY`
    `static java.lang.String` | `PLUGIN_DESCRIPTOR`
    `static java.lang.String` | `PLUGIN_DESCRIPTOR_FILE_NAME`
    `static java.lang.String` | `PLUGIN_DOC_TEXT_TEMPLATE`
    `static java.lang.String` | `PLUGIN_ID_PREFIX`
    `static java.lang.String` | `PLUGIN_ID_TEMPLATE`
    `static java.lang.String` | `PLUGIN_NAME_TEMPLATE`
    `static java.lang.String` | `PLUGIN_PACKAGE_TEMPLATE`
    `static java.lang.String` | `PLUGIN_REQUIRES`
    `static java.lang.String` | `PROPERTIES_FILE_EXTENSION`
    `static java.lang.String` | `REMOTE`
    `static int` | `REPLACE`
    `static java.lang.String` | `REQUIRES`
    `static java.lang.String` | `RES`
    `static java.lang.String` | `RES_LRES`
    `static java.lang.String` | `RESOURCE_BUNDLE_PROPERTY`
    `static java.lang.String` | `RESOURCES`
    `static int` | `REVERT`
    `static java.lang.String` | `SERVER_VERSION`
    `static int` | `SKIP`
    `static java.lang.String` | `SOURCE_FOLDER_NAME`
    `static java.lang.String` | `TABLE_EXTENSION`
    `static java.lang.String` | `TEMP_FOLDER_SUFFIX`
    `static java.lang.String` | `TEXT_RESOURCE_FILE_EXTENSION`
    `static int` | `UPDATE`
    `static java.lang.String` | `USE_APPLICATION_DESCRIPTION`
    `static java.lang.String` | `USE_APPLICATION_NAME`
    `static java.lang.String` | `USE_CONTEXT_DESCRIPTION`
    `static java.lang.String` | `V_ADDITIONAL_EXPORT_IMPORT_RULES`
    `static java.lang.String` | `V_APPLICATION_DEPENDENCIES`
    `static java.lang.String` | `V_CONTEXT_VARIABLES`
    `static java.lang.String` | `V_RESOURCES`
    `static java.lang.String` | `V_TEXT_RESOURCES`
    `static java.lang.String` | `VF_APPLICATION_PLUGIN_ID`
    `static java.lang.String` | `VF_CATEGORY`
    `static java.lang.String` | `VF_CHILD_APPLICATION_AUTO_DEPLOY`
    `static java.lang.String` | `VF_CHILD_APPLICATION_AUTO_DEPLOY_PARAMETERS`
    `static java.lang.String` | `VF_CHILD_APPLICATION_DISABLE_SIMPLE_MODE`
    `static java.lang.Boolean` | `VF_CHILD_APPLICATION_DISABLE_SIMPLE_MODE_DEFAULT`
    `static java.lang.String` | `VF_CHILD_APPLICATION_HOME_DASHBOARD`
    `static java.lang.String` | `VF_CONTEXT`
    `static java.lang.String` | `VF_CONTEXT_DESCRIPTION`
    `static java.lang.String` | `VF_CREATE_ON_FIRST_SERVER_LAUNCH`
    `static java.lang.String` | `VF_CREATION_TEMPLATE`
    `static java.lang.String` | `VF_DEPENDENCIES`
    `static java.lang.String` | `VF_DEPENDENCY`
    `static java.lang.String` | `VF_DEPENDENT_RESOURCE`
    `static java.lang.String` | `VF_DEPENDENT_RESOURCE_TYPE`
    `static java.lang.String` | `VF_DEPENDENT_RESOURCES`
    `static java.lang.String` | `VF_DEPENDENT_VARIABLES`
    `static java.lang.String` | `VF_DESCRIPTION`
    `static java.lang.String` | `VF_EXPORT_EXPRESSION`
    `static java.lang.String` | `VF_GROUP_DESCRIPTION`
    `static java.lang.String` | `VF_GROUP_NAME`
    `static java.lang.String` | `VF_IMPORT_EXPRESSION`
    `static java.lang.String` | `VF_INCLUDE_DEPENDENT_RESOURCES`
    `static java.lang.String` | `VF_INCLUDE_DEPENDENT_VARIABLES`
    `static java.lang.String` | `VF_LANGUAGE`
    `static java.lang.String` | `VF_LANGUAGES`
    `static java.lang.String` | `VF_PROTECTED`
    `static java.lang.String` | `VF_RESOURCE`
    `static java.lang.String` | `VF_RESOURCE_ID`
    `static java.lang.String` | `VF_RULES_NAME`
    `static java.lang.String` | `VF_SUBCATEGORY`
    `static java.lang.String` | `VF_TEMPLATE_CREATION_EXPRESSION`
    `static java.lang.String` | `VF_TEXT_RESOURCE_BUNDLE`
    `static java.lang.String` | `VF_TYPE`
    `static java.lang.String` | `VF_VARIABLE`
    `static java.lang.String` | `VF_VERSION`

- - ### Field Detail

    - #### V_RESOURCES

          static final java.lang.String V_RESOURCES

      See Also:
        Constant Field Values

    - #### V_TEXT_RESOURCES

          static final java.lang.String V_TEXT_RESOURCES

      See Also:
        Constant Field Values

    - #### V_CONTEXT_VARIABLES

          static final java.lang.String V_CONTEXT_VARIABLES

      See Also:
        Constant Field Values

    - #### V_ADDITIONAL_EXPORT_IMPORT_RULES

          static final java.lang.String V_ADDITIONAL_EXPORT_IMPORT_RULES

      See Also:
        Constant Field Values

    - #### V_APPLICATION_DEPENDENCIES

          static final java.lang.String V_APPLICATION_DEPENDENCIES

      See Also:
        Constant Field Values

    - #### A_OPEN_APPLICATION

          static final java.lang.String A_OPEN_APPLICATION

      See Also:
        Constant Field Values

    - #### VF_CHILD_APPLICATION_HOME_DASHBOARD

          static final java.lang.String VF_CHILD_APPLICATION_HOME_DASHBOARD

      See Also:
        Constant Field Values

    - #### VF_CHILD_APPLICATION_DISABLE_SIMPLE_MODE

          static final java.lang.String VF_CHILD_APPLICATION_DISABLE_SIMPLE_MODE

      See Also:
        Constant Field Values

    - #### VF_CHILD_APPLICATION_AUTO_DEPLOY

          static final java.lang.String VF_CHILD_APPLICATION_AUTO_DEPLOY

      See Also:
        Constant Field Values

    - #### VF_CHILD_APPLICATION_AUTO_DEPLOY_PARAMETERS

          static final java.lang.String VF_CHILD_APPLICATION_AUTO_DEPLOY_PARAMETERS

      See Also:
        Constant Field Values

    - #### VF_CHILD_APPLICATION_DISABLE_SIMPLE_MODE_DEFAULT

          static final java.lang.Boolean VF_CHILD_APPLICATION_DISABLE_SIMPLE_MODE_DEFAULT

    - #### F_PACK

          static final java.lang.String F_PACK

      See Also:
        Constant Field Values

    - #### F_DELETE_ALL

          static final java.lang.String F_DELETE_ALL

      See Also:
        Constant Field Values

    - #### F_EXPORT

          static final java.lang.String F_EXPORT

      See Also:
        Constant Field Values

    - #### F_EXPORT_CONTEXT

          static final java.lang.String F_EXPORT_CONTEXT

      See Also:
        Constant Field Values

    - #### F_IMPORT

          static final java.lang.String F_IMPORT

      See Also:
        Constant Field Values

    - #### F_UPDATE

          static final java.lang.String F_UPDATE

      See Also:
        Constant Field Values

    - #### F_DEPLOY

          static final java.lang.String F_DEPLOY

      See Also:
        Constant Field Values

    - #### F_ROLLBACK

          static final java.lang.String F_ROLLBACK

      See Also:
        Constant Field Values

    - #### F_CREATE_TEXT_RESOURCE_BUNDLE

          static final java.lang.String F_CREATE_TEXT_RESOURCE_BUNDLE

      See Also:
        Constant Field Values

    - #### F_GET_PLUGIN_ID_MAP

          static final java.lang.String F_GET_PLUGIN_ID_MAP

      See Also:
        Constant Field Values

    - #### F_GET_DEFAULT_PLUGIN_ID

          static final java.lang.String F_GET_DEFAULT_PLUGIN_ID

      See Also:
        Constant Field Values

    - #### A_PACK

          static final java.lang.String A_PACK

      See Also:
        Constant Field Values

    - #### A_DEPLOY

          static final java.lang.String A_DEPLOY

      See Also:
        Constant Field Values

    - #### A_ROLLBACK

          static final java.lang.String A_ROLLBACK

      See Also:
        Constant Field Values

    - #### A_DELETE_ALL

          static final java.lang.String A_DELETE_ALL

      See Also:
        Constant Field Values

    - #### VF_RESOURCE

          static final java.lang.String VF_RESOURCE

      See Also:
        Constant Field Values

    - #### VF_DESCRIPTION

          static final java.lang.String VF_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_CONTEXT_DESCRIPTION

          static final java.lang.String VF_CONTEXT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_TYPE

          static final java.lang.String VF_TYPE

      See Also:
        Constant Field Values

    - #### VF_CATEGORY

          static final java.lang.String VF_CATEGORY

      See Also:
        Constant Field Values

    - #### VF_SUBCATEGORY

          static final java.lang.String VF_SUBCATEGORY

      See Also:
        Constant Field Values

    - #### VF_GROUP_NAME

          static final java.lang.String VF_GROUP_NAME

      See Also:
        Constant Field Values

    - #### VF_GROUP_DESCRIPTION

          static final java.lang.String VF_GROUP_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_VERSION

          static final java.lang.String VF_VERSION

      See Also:
        Constant Field Values

    - #### VF_DEPENDENCY

          static final java.lang.String VF_DEPENDENCY

      See Also:
        Constant Field Values

    - #### VF_DEPENDENCIES

          static final java.lang.String VF_DEPENDENCIES

      See Also:
        Constant Field Values

    - #### VF_CREATE_ON_FIRST_SERVER_LAUNCH

          static final java.lang.String VF_CREATE_ON_FIRST_SERVER_LAUNCH

      See Also:
        Constant Field Values

    - #### VF_PROTECTED

          static final java.lang.String VF_PROTECTED

      See Also:
        Constant Field Values

    - #### VF_INCLUDE_DEPENDENT_RESOURCES

          static final java.lang.String VF_INCLUDE_DEPENDENT_RESOURCES

      See Also:
        Constant Field Values

    - #### VF_INCLUDE_DEPENDENT_VARIABLES

          static final java.lang.String VF_INCLUDE_DEPENDENT_VARIABLES

      See Also:
        Constant Field Values

    - #### VF_DEPENDENT_RESOURCES

          static final java.lang.String VF_DEPENDENT_RESOURCES

      See Also:
        Constant Field Values

    - #### VF_DEPENDENT_VARIABLES

          static final java.lang.String VF_DEPENDENT_VARIABLES

      See Also:
        Constant Field Values

    - #### VF_DEPENDENT_RESOURCE

          static final java.lang.String VF_DEPENDENT_RESOURCE

      See Also:
        Constant Field Values

    - #### VF_DEPENDENT_RESOURCE_TYPE

          static final java.lang.String VF_DEPENDENT_RESOURCE_TYPE

      See Also:
        Constant Field Values

    - #### VF_LANGUAGE

          static final java.lang.String VF_LANGUAGE

      See Also:
        Constant Field Values

    - #### VF_LANGUAGES

          static final java.lang.String VF_LANGUAGES

      See Also:
        Constant Field Values

    - #### VF_RESOURCE_ID

          static final java.lang.String VF_RESOURCE_ID

      See Also:
        Constant Field Values

    - #### VF_TEXT_RESOURCE_BUNDLE

          static final java.lang.String VF_TEXT_RESOURCE_BUNDLE

      See Also:
        Constant Field Values

    - #### VF_CONTEXT

          static final java.lang.String VF_CONTEXT

      See Also:
        Constant Field Values

    - #### VF_VARIABLE

          static final java.lang.String VF_VARIABLE

      See Also:
        Constant Field Values

    - #### VF_APPLICATION_PLUGIN_ID

          static final java.lang.String VF_APPLICATION_PLUGIN_ID

      See Also:
        Constant Field Values

    - #### VF_RULES_NAME

          static final java.lang.String VF_RULES_NAME

      See Also:
        Constant Field Values

    - #### VF_EXPORT_EXPRESSION

          static final java.lang.String VF_EXPORT_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_TEMPLATE_CREATION_EXPRESSION

          static final java.lang.String VF_TEMPLATE_CREATION_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_CREATION_TEMPLATE

          static final java.lang.String VF_CREATION_TEMPLATE

      See Also:
        Constant Field Values

    - #### VF_IMPORT_EXPRESSION

          static final java.lang.String VF_IMPORT_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIF_APPLICATION_PLUGIN_ID

          static final java.lang.String FIF_APPLICATION_PLUGIN_ID

      See Also:
        Constant Field Values

    - #### FIF_PACKAGE

          static final java.lang.String FIF_PACKAGE

      See Also:
        Constant Field Values

    - #### FIF_OPERATION_TYPE

          static final java.lang.String FIF_OPERATION_TYPE

      See Also:
        Constant Field Values

    - #### FIF_APPLICATION_ARCHIVE

          static final java.lang.String FIF_APPLICATION_ARCHIVE

      See Also:
        Constant Field Values

    - #### FIF_APPLICATION_FOLDER_PATH

          static final java.lang.String FIF_APPLICATION_FOLDER_PATH

      See Also:
        Constant Field Values

    - #### FIF_DEPERSONALIZE_EXPORTED_DATA

          static final java.lang.String FIF_DEPERSONALIZE_EXPORTED_DATA

      See Also:
        Constant Field Values

    - #### FIF_ADD_IDE_PROJECT_FILES

          static final java.lang.String FIF_ADD_IDE_PROJECT_FILES

      See Also:
        Constant Field Values

    - #### FIF_HANDLING_EXISTING_CONTEXTS

          static final java.lang.String FIF_HANDLING_EXISTING_CONTEXTS

      See Also:
        Constant Field Values

    - #### FIF_DEPENDENCIES_FOLDER_PATH

          static final java.lang.String FIF_DEPENDENCIES_FOLDER_PATH

      See Also:
        Constant Field Values

    - #### FIF_DELETE_NOT_LISTED_CONTEXTS

          static final java.lang.String FIF_DELETE_NOT_LISTED_CONTEXTS

      See Also:
        Constant Field Values

    - #### FIF_ERROR_HANDLING

          static final java.lang.String FIF_ERROR_HANDLING

      See Also:
        Constant Field Values

    - #### FIF_DEPLOYMENT_USER_MODE

          static final java.lang.String FIF_DEPLOYMENT_USER_MODE

      See Also:
        Constant Field Values

    - #### FIF_DEPLOYMENT_USER

          static final java.lang.String FIF_DEPLOYMENT_USER

      See Also:
        Constant Field Values

    - #### FIF_DEPLOYMENT_REMOVE_ORPHANS

          static final java.lang.String FIF_DEPLOYMENT_REMOVE_ORPHANS

      See Also:
        Constant Field Values

    - #### FIF_LANGUAGE

          static final java.lang.String FIF_LANGUAGE

      See Also:
        Constant Field Values

    - #### FIF_LANGUAGES

          static final java.lang.String FIF_LANGUAGES

      See Also:
        Constant Field Values

    - #### FIF_TEXT_RESOURCE_BUNDLE

          static final java.lang.String FIF_TEXT_RESOURCE_BUNDLE

      See Also:
        Constant Field Values

    - #### FOF_PERSISTENT_PROPERTIES

          static final java.lang.String FOF_PERSISTENT_PROPERTIES

      See Also:
        Constant Field Values

    - #### FOF_PACK_RESULT

          static final java.lang.String FOF_PACK_RESULT

      See Also:
        Constant Field Values

    - #### TEMP_FOLDER_SUFFIX

          static final java.lang.String TEMP_FOLDER_SUFFIX

      See Also:
        Constant Field Values

    - #### RESOURCES

          static final java.lang.String RESOURCES

      See Also:
        Constant Field Values

    - #### LINE_SEPARATOR

          static final java.lang.String LINE_SEPARATOR

      See Also:
        Constant Field Values

    - #### JAVA_ARCHIVE_EXTENSION

          static final java.lang.String JAVA_ARCHIVE_EXTENSION

      See Also:
        Constant Field Values

    - #### CLASS_FILE_EXTENSION

          static final java.lang.String CLASS_FILE_EXTENSION

      See Also:
        Constant Field Values

    - #### JAVA_FILE_EXTENSION

          static final java.lang.String JAVA_FILE_EXTENSION

      See Also:
        Constant Field Values

    - #### PROPERTIES_FILE_EXTENSION

          static final java.lang.String PROPERTIES_FILE_EXTENSION

      See Also:
        Constant Field Values

    - #### TEXT_RESOURCE_FILE_EXTENSION

          static final java.lang.String TEXT_RESOURCE_FILE_EXTENSION

      See Also:
        Constant Field Values

    - #### TABLE_EXTENSION

          static final java.lang.String TABLE_EXTENSION

      See Also:
        Constant Field Values

    - #### PLUGIN_NAME_TEMPLATE

          static final java.lang.String PLUGIN_NAME_TEMPLATE

      See Also:
        Constant Field Values

    - #### PLUGIN_ID_TEMPLATE

          static final java.lang.String PLUGIN_ID_TEMPLATE

      See Also:
        Constant Field Values

    - #### PLUGIN_DOC_TEXT_TEMPLATE

          static final java.lang.String PLUGIN_DOC_TEXT_TEMPLATE

      See Also:
        Constant Field Values

    - #### PLUGIN_CLASS_NAME_TEMPLATE

          static final java.lang.String PLUGIN_CLASS_NAME_TEMPLATE

      See Also:
        Constant Field Values

    - #### PLUGIN_DEPENDENCY

          static final java.lang.String PLUGIN_DEPENDENCY

      See Also:
        Constant Field Values

    - #### PLUGIN_REQUIRES

          static final java.lang.String PLUGIN_REQUIRES

      See Also:
        Constant Field Values

    - #### PLUGIN_CLASS_NAME_SUFFIX

          static final java.lang.String PLUGIN_CLASS_NAME_SUFFIX

      See Also:
        Constant Field Values

    - #### PLUGIN_DESCRIPTOR_FILE_NAME

          static final java.lang.String PLUGIN_DESCRIPTOR_FILE_NAME

      See Also:
        Constant Field Values

    - #### PLUGIN_ID_PREFIX

          static final java.lang.String PLUGIN_ID_PREFIX

      See Also:
        Constant Field Values

    - #### APPLICATION_ID_PREFIX

          static final java.lang.String APPLICATION_ID_PREFIX

      See Also:
        Constant Field Values

    - #### PLUGIN_PACKAGE_TEMPLATE

          static final java.lang.String PLUGIN_PACKAGE_TEMPLATE

      See Also:
        Constant Field Values

    - #### PACKAGE

          static final java.lang.String PACKAGE

      See Also:
        Constant Field Values

    - #### SOURCE_FOLDER_NAME

          static final java.lang.String SOURCE_FOLDER_NAME

      See Also:
        Constant Field Values

    - #### LRES

          static final java.lang.String LRES

      See Also:
        Constant Field Values

    - #### RES

          static final java.lang.String RES

      See Also:
        Constant Field Values

    - #### RES_LRES

          static final java.lang.String RES_LRES

      See Also:
        Constant Field Values

    - #### GRADLE_FILE

          static final java.lang.String GRADLE_FILE

      See Also:
        Constant Field Values

    - #### RESOURCE_BUNDLE_PROPERTY

          static final java.lang.String RESOURCE_BUNDLE_PROPERTY

      See Also:
        Constant Field Values

    - #### USE_APPLICATION_NAME

          static final java.lang.String USE_APPLICATION_NAME

      See Also:
        Constant Field Values

    - #### USE_APPLICATION_DESCRIPTION

          static final java.lang.String USE_APPLICATION_DESCRIPTION

      See Also:
        Constant Field Values

    - #### USE_CONTEXT_DESCRIPTION

          static final java.lang.String USE_CONTEXT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### DO_NOT_CREATE_GROUP

          static final java.lang.String DO_NOT_CREATE_GROUP

      See Also:
        Constant Field Values

    - #### APPLICATION_TYPE

          static final java.lang.String APPLICATION_TYPE

      See Also:
        Constant Field Values

    - #### LOCAL

          static final java.lang.String LOCAL

      See Also:
        Constant Field Values

    - #### REMOTE

          static final java.lang.String REMOTE

      See Also:
        Constant Field Values

    - #### APPLICATION_PROPERTIES

          static final java.lang.String APPLICATION_PROPERTIES

      See Also:
        Constant Field Values

    - #### MAIN_APPLICATION_FILE_NAME

          static final java.lang.String MAIN_APPLICATION_FILE_NAME

      See Also:
        Constant Field Values

    - #### SERVER_VERSION

          static final java.lang.String SERVER_VERSION

      See Also:
        Constant Field Values

    - #### DEPENDENCIES

          static final java.lang.String DEPENDENCIES

      See Also:
        Constant Field Values

    - #### ID

          static final java.lang.String ID

      See Also:
        Constant Field Values

    - #### SKIP

          static final int SKIP

      See Also:
        Constant Field Values

    - #### REPLACE

          static final int REPLACE

      See Also:
        Constant Field Values

    - #### UPDATE

          static final int UPDATE

      See Also:
        Constant Field Values

    - #### IGNORE

          static final int IGNORE

      See Also:
        Constant Field Values

    - #### REVERT

          static final int REVERT

      See Also:
        Constant Field Values

    - #### MAIN_PLUGIN_CLASS

          static final java.lang.String MAIN_PLUGIN_CLASS

      See Also:
        Constant Field Values

    - #### MAIN_PLUGIN_JAVA_CLASS

          static final java.lang.String MAIN_PLUGIN_JAVA_CLASS

      See Also:
        Constant Field Values

    - #### PACKAGE_TEMPLATE

          static final java.lang.String PACKAGE_TEMPLATE

      See Also:
        Constant Field Values

    - #### REQUIRES

          static final java.lang.String REQUIRES

      See Also:
        Constant Field Values

    - #### PLUGIN_DESCRIPTOR

          static final java.lang.String PLUGIN_DESCRIPTOR

      See Also:
        Constant Field Values

    - #### GRADLE

          static final java.lang.String GRADLE

      See Also:
        Constant Field Values

    - #### LRES_FILE

          static final java.lang.String LRES_FILE

      See Also:
        Constant Field Values